@import '../../../_mixins.scss';
.add-serviceCatalog {

.basic-field {
    display: flex;
    flex-wrap: wrap;
}

.multiple-choice {
    .Select-value {
        line-height: 18px !important;
      }
}

}
 .rules-listing-parent{
    .loader {
        left: 47%;
    }
     .header{
         display: flex;
         flex-direction: row;
         justify-content: space-between;
         padding: 10px 0px 10px 10px;
    }
    .table-container .table-container__table .ReactTable .rt-table .rt-thead.-header:first-child {
        padding-left: 0;
    }
    
    
    .download-btn{
        padding-left: 5px;
    }
    .icon-btn{
        margin: 0 5px 0 5px;
    }
    .service-catalog-listing__actions {
        background: white;
        display: flex;
        flex-direction: column;

        .header-panel {
            .btn.square-btn img{
                padding-right: 3px;
            }
            .header-actions {
                margin-right: 15px;
                button {
                    margin-bottom: 5px;
                }
            }
        }

        .checkbox-holder{
            margin: 25px 10px 12px 15px;
        }

        .field-section {
          max-width: 400px;
        }
        .actions-right{
            .btn.square-btn{
                margin:10px 0;
          
                img{
                  padding-right: 3px;
                }
          
                &:hover,
                &:active,
                &:focus{
                  img{
                    filter: invert(75%);
                  }
                }
          
              }
        }
        .row-action {
            display: flex;

            .left{
                width: 430px;
            }
        }
        .sow-filters {
            display: inline-block;
            padding: 5px 20px;
            overflow: auto;

            .filter {
                background: var(--primary);
                padding: 3px 3px 3px 10px;
                margin: 2px;
                border-radius: 15px;
                display: inline-block;
                color: white;
                flex-direction: row;
                label {
                    color: white;
                }
                span {
                    min-width: 8px;
                    padding: 5px 15px 5px 5px;
                    position: relative;
                    cursor: pointer;
            
                    &::before,
                    &::after {
                      display: block;
                      content: ' ';
                      width: 10px;
                      height: 2px;
                      background: white;
                      position: absolute;
                      top: 12px;
                      right: 4px
                    }
            
                    &::after {
                      transform: rotate(45deg);
                    }
            
                    &::before {
                      transform: rotate(-45deg);
                    }
                  }
            }
        }
    }
    .icons-template{
        img{
            width: 35px;
            padding-left: 7px;
        }
        img.left {
            margin: 0px 5px 0 15px;
            padding: 1.5px;
        }
    }
    .icons-template-1{
        img{
            width: 22px;
        }
        img.left {
            margin: 0px 5px 0 15px;
            padding: 1.5px;
        }
    }
    .icons-template-green{
        img{
            padding-left: 3px;
        }
    }
    .right-menu {
        .rule-right-menu {
            padding: 0;
            .field-section.rule-iosversion,
            .field-section.rule-exceptions {
                margin-left: -7px;
                padding: 5px;
                .field__label.row {
                    display: none;
                }
            }
        }
    }
}
 
// .radio-btn-group .radio-btn input[type='radio']:checked, .radio-btn-group .radio-btn input[type='radio']:hover {
//     border: 1px solid var(--primary);
// }
// .radio-btn-group .radio-btn input[type='radio']:checked:before {
//     background:var(--primary);
// }

.not-checkbox {
    padding-left: 20px;
    margin-top: -6px;
}

.field-error {
    color: red;
    font-family: var(--font-first);
    font-size: var(--font-s);
    min-height: 17px;
    display: block;
  }

.add-new-option-box{
    width: 100%;
}

.add-new-option-section{
    display: flex;
}


.field-section + .upload-img-button {
    margin: 151px 21px 0 286px;

}
    .upload-img-button {
    width: 30px;
    margin-left: 20px;
    height: 30px;
    margin: 47px 21px 0 286px;
    position: absolute;
    min-width: unset !important;
    border: none !important;
    z-index: 999;
    padding: 4px !important; 
    
    .icon-upload{
      width: 16px;
      height: 16px;
      border: unset;
      filter: brightness(0.5);
    }
    &:hover,
    &:active,
    &:focus{
       border: 1px solid #95a5a6 !important
    }
}

.service_technology_types_filter-1{
    .Select--multi {
        overflow-x: auto;
    }
}

.add-edit-rule{
    .outer.outer--multiLine {
        display: flex;
        min-height: 100px;
        padding: 10px;
    }
    .outer-suggestions{
        background-color: #ccc;
    }

    .outer__suggestions__list {
        background-color: white;
        border: 1px solid rgba(0, 0, 0, 0.15);
        font-size: 10pt;
      }
      
      .outer__suggestions__item {
        padding: 5px 15px;
        border-bottom: 1px solid rgba(0, 0, 0, 0.15);
      }
      
      .outer__suggestions__item--focused {
        background-color: #ccc;
      }
      
}
.preline{
    white-space: pre-line;
}
    .right-menu-footer {
        margin: 0 0 0 10px;
        .btn.square-btn{
            margin: 0 0 0 10px;
        }
    }
